<template>
  <button :class="{button: true, fill: fill}">{{label}}</button>
</template>

<script>
export default {
    props:{
        label: {
            type: String,
            default: "Button"
        },
        fill: {
            type: Boolean,
            default: false
        }
    }
};
</script>

<style scoped lang="scss">
.button {
  background: #387594;
  padding: 1em 2em;
  font-size: 16px;
  border: none;
  border-radius: 4px;

  &.fill{
      width: 100%;
      flex: 1;
  }
}
</style>
